scala.util.parsing.ast.Binders
class BoundElement

[source: `scala/util/parsing/ast/Binders.scala`]

`case` `class` BoundElement[boundElement <: NameElement](`val` el : boundElement, `val` scope : Scope[boundElement])
  `extends` NameElement `with` Proxy `with` BindingSensitive `with` Product

  A `BoundElement' is bound in a certain scope `scope', which keeps track of the actual element that `el' stands for. A `BoundElement' is represented textually by its bound element, followed by its scope's `id'. For example: `x@1' represents the variable `x' that is bound in the scope with `id' `1'. @invar scope.binds(el)

Values and Variables inherited from Positional
pos

Method Summary
`def` | alpha_== [t <: NameElement](other : BoundElement[t]) : Boolean
`def` | name : java.lang.String
`override final def` | productArity : Int return k for a product `A(x_1,...,x_k))`
`override final def` | productElement (arg0 : Int) : Any for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`
`override final def` | productPrefix : java.lang.String By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.
`def` | self : Element Returns the element this `BoundElement' stands for. The `Proxy' trait ensures `equals', `hashCode' and `toString' are forwarded to the result of this method.
`override def` | toString : java.lang.String

Methods inherited from Product
element, arity

Methods inherited from Proxy
hashCode, equals

Methods inherited from Positional
setPos

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` self : Element

  Returns the element this `BoundElement' stands for. The `Proxy' trait ensures `equals', `hashCode' and `toString' are forwarded to the result of this method.

Overrides
  Proxy.self

`` `def` name : java.lang.String

Overrides
  NameElement.name

`override` `def` toString : java.lang.String

Overrides
  Proxy.toString

`` `def` alpha_==[t <: NameElement](other : BoundElement[t]) : Boolean

`override final` `def` productPrefix : java.lang.String

  By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.

Overrides
  Product.productPrefix

`override final` `def` productArity : Int

  return k for a product `A(x_1,...,x_k))`

Overrides
  Product.productArity

`override final` `def` productElement(arg0 : Int) : Any

  for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`

Parameters
  `n -` the position of the n-th element
Throws
  `IndexOutOfBoundsException -`
Returns
  ...

Overrides
  Product.productElement